import { EnhancedExecute } from '../../../utils/solidity/transactionFactory';
import { QuantityInterface } from '@melonproject/token-math';
declare type SetAmguPriceArgs = QuantityInterface;
declare type SetAmguPriceResult = QuantityInterface;
declare const setAmguPrice: EnhancedExecute<SetAmguPriceArgs, SetAmguPriceResult>;
export { setAmguPrice };
